set menu_color_normal=cyan/blue
set menu_color_highlight=white/blue

menuentry 'Install' {
    set background_color=black
    linux    /%install%/vmlinuz --- quiet
    initrd   /%install%/initrd.gz
}
submenu 'Advanced options ...' {
    set menu_color_normal=cyan/blue
    set menu_color_highlight=white/blue
    menuentry '... Expert install' {
        set background_color=black
        linux    /%install%/vmlinuz priority=low ---
        initrd   /%install%/initrd.gz
    }
    menuentry '... Rescue mode' {
        set background_color=black
        linux    /%install%/vmlinuz rescue/enable=true --- quiet
        initrd   /%install%/initrd.gz
    }
    menuentry '... Automated install' {
        set background_color=black
        linux    /%install%/vmlinuz auto=true priority=critical --- quiet
        initrd   /%install%/initrd.gz
    }
    submenu '... Desktop environment menu ...' {
        set menu_color_normal=cyan/blue
        set menu_color_highlight=white/blue
        submenu '... GNOME desktop boot menu ...' {
            set menu_color_normal=cyan/blue
            set menu_color_highlight=white/blue
            menuentry '... Install' {
                set background_color=black
                linux    /%install%/vmlinuz desktop=gnome --- quiet
                initrd   /%install%/initrd.gz
            }
            submenu '... GNOME advanced options ...' {
                set menu_color_normal=cyan/blue
                set menu_color_highlight=white/blue
                menuentry '... Expert install' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=gnome priority=low ---
                    initrd   /%install%/initrd.gz
                }
                menuentry '... Automated install' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=gnome auto=true priority=critical --- quiet
                    initrd   /%install%/initrd.gz
                }
            }
        }
        submenu '... KDE desktop boot menu ...' {
            set menu_color_normal=cyan/blue
            set menu_color_highlight=white/blue
            menuentry '... Install' {
                set background_color=black
                linux    /%install%/vmlinuz desktop=kde --- quiet
                initrd   /%install%/initrd.gz
            }
            submenu '... KDE advanced options ...' {
                set menu_color_normal=cyan/blue
                set menu_color_highlight=white/blue
                menuentry '... Expert install' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=kde priority=low ---
                    initrd   /%install%/initrd.gz
                }
                menuentry '... Automated install' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=kde auto=true priority=critical --- quiet
                    initrd   /%install%/initrd.gz
                }
            }
        }
        submenu '... LXDE desktop boot menu ...' {
            set menu_color_normal=cyan/blue
            set menu_color_highlight=white/blue
            menuentry '... Install' {
                set background_color=black
                linux    /%install%/vmlinuz desktop=lxde --- quiet
                initrd   /%install%/initrd.gz
            }
            submenu '... LXDE advanced options ...' {
                set menu_color_normal=cyan/blue
                set menu_color_highlight=white/blue
                menuentry '... Expert install' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=lxde priority=low ---
                    initrd   /%install%/initrd.gz
                }
                menuentry '... Automated install' {
                    set background_color=black
                    linux    /%install%/vmlinuz desktop=lxde auto=true priority=critical --- quiet
                    initrd   /%install%/initrd.gz
                }
            }
        }
    }
}
menuentry --hotkey=s 'Install with speech synthesis' {
    set background_color=black
    linux    /%install%/vmlinuz speakup.synth=soft --- quiet
    initrd   /%install%/initrd.gz
}
